Color Select in MacOS
Status: Closed

Priority: Normal

Assignee:

Category: OsX UI

Affected QGIS version:2.18.2 Regression?: No

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 23715

Description

If "Use native color choose dialogs" option is used in MacOS and QGIS 2.16 it's impossible to use QGIS after any color change. The

dialog appears, the color is choosen but, after that, the "Properties" window gets blocked, a mouse click gives the "boing" sound and only

a force quit QGIS can be done. 

This also happens in the latest developer version for MacOS.

Cheers

History

#1 - 2016-11-02 04:29 PM - Rhenriques Henriques

This behavior happens when the layer is categorized by any field. Double click any categorized feature from list -> use the fill color area to get the system

color selection -> Change color by any mean, even using, for instance, the color picker. We are able to close the color selection dialog, the feature

formatting but after, the properties window will hang and it's impossible to do anything else, only force quit QGIS.

Cheers

#2 - 2016-11-06 01:55 PM - Rhenriques Henriques

In this latest compilation from William K. (2.18), it's impossible to use the MacOS standard color selection dialog. This is awful because the native QGIS

color selector lacks the color picker pipette. The native MacOS color selector has this feature, which is very important if you only have a JPEG or TIFF

scanned legend to get colors from.

#3 - 2016-12-29 02:06 PM - Rhenriques Henriques

Still not possible to use the color pipette in this latest version of QGIS 2.18.2. It's a great feature, it's present in all previous versions using the system

picker and it's now gone. The main reason it's because it's now impossible to use the system color picker. Any particular reason for this? It's very important

to reconstruct color palettes from scanned maps for instance.

#4 - 2017-01-12 07:31 AM - Giovanni Manghi

- Affected QGIS version changed from 2.16.3 to 2.18.2

- Category set to OsX UI

- Priority changed from High to Severe/Regression

Rhenriques Henriques wrote:
Still not possible to use the color pipette in this latest version of QGIS 2.18.2. It's a great feature, it's present in all previous versions using the system

picker and it's now gone. The main reason it's because it's now impossible to use the system color picker. Any particular reason for this? It's very

important to reconstruct color palettes from scanned maps for instance.

as it seems a regression I will raise the priority,

#5 - 2017-03-01 04:12 AM - Giovanni Manghi

- Target version deleted (Future Release - High Priority)

- Priority changed from Severe/Regression to Normal

Rhenriques Henriques wrote:

This behavior happens when the layer is categorized by any field. Double click any categorized feature from list -> use the fill color area to get the

system color selection -> Change color by any mean, even using, for instance, the color picker. We are able to close the color selection dialog, the

feature formatting but after, the properties window will hang and it's impossible to do anything else, only force quit QGIS.

Cheers

Hi,

I just tried on macOS 10.12 and QGIS 2.18.2 and I can't confirm this issue. Please leave feedback.

About the missing color picker it seems to me that has been raised several times and a ticket already exist:

#11632

http://osgeo-org.1560.x6.nabble.com/Opinions-on-quot-best-quot-implementation-of-color-picker-dialog-td5153693.html

https://nyalldawson.net/2014/09/whats-new-in-qgis-2-6-tons-of-colour-improvements/

now that we are on the road to QGIS3 it maybe the right moment to raise this matter again (or maybe as QGIS3 uses QT5 the problem will be easily

solved).

#6 - 2017-03-06 04:02 PM - Giovanni Manghi

- Priority changed from Normal to High

#7 - 2017-03-06 05:02 PM - Rhenriques Henriques

Hi Giovanni

Thank you so much for the priority change. This issue is not solved in 2.18.2. The system color picker seems to work in DEM files, after a single band

pseudocolor with a color ramp applied, by double click into any legend color directly. In vector information, after a Categorized classification, it's impossible

to use the color picker if we double-click any color. However, if we right-click over any color into the classification window and choose color change, the

system picker is opened. This is the way I've found to avoid this problem into my classes. By choosing the system picker into the preferences it should

always be shown as is.

#8 - 2017-03-06 05:13 PM - Giovanni Manghi
Rhenriques Henriques wrote:

Hi Giovanni

Thank you so much for the priority change.

no problem! I will also try on my macbook tomorrow... but anyway... does this still freezes QGIS in your case? because if not this must be changed again to

"normal". We are using "high" only for issues causing crashes/freezes and data corruption and "severe" for regressions. Maybe this is a regression? did the

picker worked fine in the past in osx?

#9 - 2017-03-06 05:26 PM - Rhenriques Henriques

No Giovanni. It's an annoying issue but since 2.18.2 it does not freeze QGIS anymore (It was freezing in version 2.18.0; I did not test 2.18.1).

#10 - 2017-03-07 01:22 AM - Giovanni Manghi

- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

#11 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#12 - 2019-01-08 02:43 AM - Nyall Dawson

- Description updated

- Status changed from Open to Feedback

Is this still an issue in 3.4?

#13 - 2019-02-24 01:34 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
